@import "../../Variables"
@import "../../Loading"
@import "../../Themes"

.Survey-container
  @include themify()
    @include loading(themed('color'), 4em)
  .Survey-details
    h3
      text-transform: uppercase
      font-weight: 300
      margin: 0
    h4
      font-weight: 200
      margin-top: 0
      @include themify()
        color: themed('color')
    .Survey-controls
      margin-bottom: 1em
    .Survey-list, .Survey-results
      margin: 0
      padding: 0
      list-style: none
      .Survey-listitem
        @include themify()
          background-color: rgba(themed('backgroundColor'), .4)
        @media screen and (max-width: $break-sm)
          margin-left: 0
          margin-right: 0
          border-radius: 0
        &.active
          @include themify()
            background-color: rgba(darken(themed('backgroundColor'), 15%), .8)
        margin: .8em 1em
        padding: .3em .4em
        text-align: center
        border-radius: .8em
        cursor: pointer
        border: 2px solid transparent
        &:hover
          @include themify()
            background-color: rgba(darken(themed('backgroundColor'), 15%), .4)
        &.selected
          @include themify()
            border-color: themed('selectionColor')
      .Survey-result
        display: flex
        flex-direction: column
        margin: .8em .8em
        label
          text-align: left
          margin-bottom: .4em
        .Survey-result-bar
          height: 1em
          position: relative
          border-radius: 1em
          overflow: hidden
          div
            position: absolute
            left: 0
            top: 0
            width: calc(var(--survey-count) / var(--survey-total) * 100%)
            height: 1em
            display: inline
            @include themify()
              background-color: themed('headerColor')
        &.winner
          .Survey-result-bar
            div
              @include themify()
                background-color: themed('successColor')
